Программа:
Apache 2.2.3 и более ранние версии.
Apache 2.0.59 и более ранние версии.

Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности. Уязвимость существует из-за ошибки в модуле "mod_alias" при обработке чувствительных к регистру аргументов директивы на файловой системе, не чувствительной к регистру. В некоторых случаях злоумышленник может просмотреть исходный код сценариев в каталоге "cgi-bin", если директива ScriptAlias ссылается на директорию внутри корневого каталога Web сервера и URL введен прописными буквами (например, "CGI-BIN").

Пример уязвимой конфигурации:

DocumentRoot "[path]/docroot/"
ScriptAlias /cgi-bin/ "/[path]/docroot/cgi-bin"



Оставить мнение